:root {
  --color-primario: #c10000;
  --color-texto: #333333;
  --color-fila-alternativa: #f8f8f8;
  --color-hover: #f3d9d9;
}

.view-grid table {
  width: 100% !important;
  border-collapse: collapse !important;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1) !important;
}

.view-grid table th {
  background-color: var(--color-primario) !important;
  color: white !important;
  text-align: center !important;
}

.view-grid table th a {
  color: white !important;
  text-decoration: none !important;
}

.view-grid table td {
  color: var(--color-texto) !important;
}

.view-grid table tr:nth-child(even) {
  background-color: var(--color-fila-alternativa) !important;
}

.view-grid table tr:hover {
  background-color: var(--color-hover) !important;
}

/* Estilo para los enlaces dentro de la tabla */
.view-grid table td a {
  color: #333333 !important; 
  text-decoration: none !important;
  font-weight: bold;
}

.view-grid table td a:hover {
  text-decoration: underline !important;
}

/* Estilo para el botón de menú de acciones */
.dropdown.action button {
  color: #333333 !important;
  background-color: white !important;
  border: 1px solid #ccc !important;
  padding: 5px 10px !important;
  border-radius: 4px !important;
}

/*Fondo en hover de las acciones del desplegable*/
.details-link:hover,
.edit-link:hover, .delete-link:hover {
  background-color: #ffcccc !important;
}
/* Estilo para la lista de casos ↑↑↑ */

/*Estilo para el botón de búsqueda (la lupa)*/
.btn.btn-default.btn-hg {
  background-color: var(--color-primario) !important; 
  color: white !important;
  border-color: var(--color-primario);
}

.btn.btn-default.btn-hg:hover {
  background-color: #a00000 !important; 
}